# Sanitizer_MemsetData Struct Reference
[Sanitizer Callback API]

Data passed into a memset callback function. More...

## Data Fields

uint64_t | address
CUcontext | context
uint32_t | isAsync
uint32_t | value
uint64_t | width

## Detailed Description

Data passed into a launch callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_MEMSET. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_MemsetData::context

The context where the allocation is located.